%% Generated by lilypond-book.py
%% Options: [indent=0\mm,verbatim,lilyquote,ragged-right,alt=[image of music],texidoc]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section 
% ****************************************************************



\paper {
  #(define dump-extents #t)
  
  indent = 0\mm
  line-width = 160\mm - 2.0 * 0.4\in
  ragged-right = ##t
  force-assignment = #""
  line-width = #(- line-width (* mm  3.000000))
}

\layout {
  
}



% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "tweaking-clef-properties.ly"
\sourcefileline 0
%% Do not edit this file; it is auto-generated from LSR http://lsr.dsi.unimi.it
%% This file is in the public domain.
\version "2.11.57"

\header {
  lsrtags = "pitches, staff-notation, tweaks-and-overrides"

doctitlees = "Trucaje de las propiedades de clave"
texidoces = "
La instrucción @code{\clef \"treble_8\"} equivale a un ajuste de
@code{clefGlyph}, @code{clefPosition} (que controla la posición
vertical de la clave), @code{middleCPosition} y
@code{clefOctavation}. Se imprime una clave cada vez que se
modifica cualquiera de las propiedades excepto
@code{middleCPosition}.


Observe que la modificación del glifo, la posición de la clave o
su octavación, no cambian 'per se' la posición de las siguientes
notas del pentagrama: para hacer esto también se debe especificar
la posición del Do central. Los parámetros posicionales están en
relación con la tercera línea del pentagrama, los números
positivos desplazan hacia arriba, contando una unidad por cada
línea y espacio. El valor de @code{clefOctavation} se
establecería normalmente a 7, -7, 15 or -15, pero son válidos
otros valores.


Cuando se produce un cambio de clave en el salto de línea se
imprime la clave nueva tanto al final de la línea anterior como al
principio de la nueva, de forma predeterminada.  Si no se necesita
la clave de advertencia al final de la línea anterior, se puede
quitar estableciendo el valor de la propiedad
@code{explicitClefVisibility} de @code{Staff}, a
@code{end-of-line-invisible}. El comportamiento predeterminado se
puede recuperar con @code{\unset Staff.explicitClefVisibility}.

Los siguientes ejemplos muestran las posibilidades cuando se
ajustan estas propiedades manualmente.  En la primera línea, los
cambios manuales preservan el posicionamiento relativo estándar de
las claves y las notas, pero no lo hacen en la segunda línea.

"
  texidoc = "
The command @code{\\clef \"treble_8\"} is equivalent to setting
@code{clefGlyph}, @code{clefPosition} (which controls the vertical
position of the clef), @code{middleCPosition} and
@code{clefOctavation}. A clef is printed when any of the properties
except @code{middleCPosition} are changed.


Note that changing the glyph, the position of the clef, or the
octavation does not in itself change the position of subsequent notes
on the staff: the position of middle C must also be specified to do
this. The positional parameters are relative to the staff center line,
positive numbers displacing upwards, counting one for each line and
space. The @code{clefOctavation} value would normally be set to 7, -7,
15 or -15, but other values are valid.


When a clef change takes place at a line break the new clef symbol is
printed at both the end of the previous line and the beginning of the
new line by default. If the warning clef at the end of the previous
line is not required it can be suppressed by setting the @code{Staff}
property @code{explicitClefVisibility} to the value
@code{end-of-line-invisible}. The default behavior can be recovered
with  @code{\\unset Staff.explicitClefVisibility}.

The following examples show the possibilities when setting these
properties manually. On the first line, the manual changes preserve the
standard relative positioning of clefs and notes, whereas on the second
line, they do not. 

"
  doctitle = "Tweaking clef properties"
} % begin verbatim
{
  % The default treble clef
  c'1
  % The standard bass clef
  \set Staff.clefGlyph = #"clefs.F"
  \set Staff.clefPosition = #2
  \set Staff.middleCPosition = #6
  c'1
  % The baritone clef
  \set Staff.clefGlyph = #"clefs.C"
  \set Staff.clefPosition = #4
  \set Staff.middleCPosition = #4
  c'1
  % The standard choral tenor clef
  \set Staff.clefGlyph = #"clefs.G"
  \set Staff.clefPosition = #-2
  \set Staff.clefOctavation = #-7
  \set Staff.middleCPosition = #1
  c'1
  % A non-standard clef
  \set Staff.clefPosition = #0
  \set Staff.clefOctavation = #0
  \set Staff.middleCPosition = #-4
  c'1 \break

  % The following clef changes do not preserve
  % the normal relationship between notes and clefs:

  \set Staff.clefGlyph = #"clefs.F"
  \set Staff.clefPosition = #2
  c'1
  \set Staff.clefGlyph = #"clefs.G"
  c'1
  \set Staff.clefGlyph = #"clefs.C"
  c'1
  \set Staff.clefOctavation = #7
  c'1
  \set Staff.clefOctavation = #0
  \set Staff.clefPosition = #0
  c'1
  
  % Here we go back to the normal clef:

  \set Staff.middleCPosition = #0
  c'1
}



% ****************************************************************
% end ly snippet
% ****************************************************************
